services:
  homeassistant:
    restart: unless-stopped
    image: ghcr.io/home-assistant/home-assistant:stable

    volumes:
      - /home/docker/DenHome/config:/config
      - /etc/localtime:/etc/localtime:ro
      - /run/dbus:/run/dbus:ro

    privileged: true

    networks:
      tan-network:
        ipv4_address: 10.10.0.130

    labels:
      - traefik.enable=true

      # ROUTER
      - traefik.http.routers.homeassistant.rule=Host(`assistant.luckyden.org`)
      - traefik.http.routers.homeassistant.entrypoints=websecure
      - traefik.http.routers.homeassistant.tls=true

      # SERVICE
      - traefik.http.services.homeassistant.loadbalancer.server.port=8123

      # HEADERS (safe)
      - traefik.http.middlewares.homeassistant-headers.headers.customrequestheaders.X-Forwarded-Proto=https
      - traefik.http.routers.homeassistant.middlewares=homeassistant-headers


#  music-assistant-server:
#    restart: unless-stopped
#    image: ghcr.io/music-assistant/server:latest
#
#    volumes:
#      - /home/docker/DenMusic/data:/data/
#
#    cap_add:
#      - SYS_ADMIN
#      - DAC_READ_SEARCH
#
#    security_opt:
#      - apparmor:unconfined
#
#    environment:
#      - LOG_LEVEL=info
#
#    networks:
#      tan-network:
#        ipv4_address: 10.10.0.131
#
#    labels:
#      - traefik.enable=true
#
#      # ROUTER
#      - traefik.http.routers.music.rule=Host(`music.luckyden.org`)
#      - traefik.http.routers.music.entrypoints=websecure
#      - traefik.http.routers.music.tls=true
#
#      # SERVICE
#      - traefik.http.services.music.loadbalancer.server.port=8095

networks:
  tan-network:
    external: true
